Subject: Re: Re: [PATCH 0/3] Fix for KSZ DSA switch shutdown

From: Andrew Lunn <[email-masked]>
Date: Thu, 9 Sep 2021 17:11:50 +0200

> Andrew: the switch is not on a hat, the device tree part I use is:

And this is not an overlay. It is all there at boot?

I was just thinking that maybe the Ethernet interface gets opened at
boot, and overlay is loaded, and the interface is opened a second
time. I don't know of anybody using DSA with overlays, so that could
of been the key difference which breaks it for you.

Your decompiled DT blob looks O.K.

    Andrew